<?php
/**
* Plugin Name: Crystal Skull types
* Plugin URI: http://skywarriorthemes.com/
* Description: Custom post types for Crystal Skull theme.
* Version: 1.2
* Author: Skywarrior themes
* Author URI: http://www.skywarriorthemes.com/
* License: GPL
*/


class Xtl_Types {

    function __construct() {
        register_activation_hook( __FILE__,array( $this,'activate' ) );
        add_action( 'init', array( $this, 'xtl_create' ), 1 );
    }

    function activate() {
        $this->xtl_create();
    }

    function xtl_create() {


	 register_post_type( 'wp_owl',
            array(
                'labels' => array(
                    'name' => __( 'Owl carousel','skywarrior'),
                    'singular_name' => __( 'Owl Carousel', 'skywarrior' )
                ),
                'public' => false,
                'has_archive' => false,
                'publicaly_queryable' => false,
                'query_var' => false,
                'show_ui' => true,
                'supports' => array(
                    'title',
                    'custom-fields'
                )

            )
        );

	register_post_type( 'optionsframework', array(
			'labels' => array(
				'name' => __( 'Options Framework Internal Container' , 'skywarrior'),
			),
			'public' => true,
			'show_ui' => false,
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => false,
			'supports' => array( 'title', 'editor' ),
			'query_var' => false,
			'can_export' => true,
			'show_in_nav_menus' => false
		) );

	add_shortcode('wp_owl', 'owl_shortcode');

	function owl_shortcode($atts, $content = null) {
		$attributes = shortcode_atts(array('id' => ""), $atts);
		if(class_exists('crystalskull_Wp_Owl_Carousel')){
			$html = crystalskull_Wp_Owl_Carousel::generate_owl_html(esc_attr($attributes['id']));
		}
		return $html;
	}

}

}


$Xtl_Types = new Xtl_Types();

?>